\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - CGAL and the Qt Graphics View Framework

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Qt::GraphicsViewCircleInput< K > Class Template Reference
Input Classes

`#include <CGAL/Qt/GraphicsViewCircleInput.h>`

## Inherits from

CGAL::Qt::GraphicsViewInput.

## Definition

An object of type `GraphicsViewCircleInput` creates a circle, defined by either center and radius, or two or three points on the circle.

A new vertex is inserted every time the left mouse button is released. The `Del` key removes the last entered point. The `Esc` key removes all entered points.

Template Parameters

  K | must be a model of `Kernel`.

## Creation
| GraphicsViewCircleInput (QObject *p, QGraphicsScene *s, int pointsOnCircle=1)

## Signals
void | generate (Object o)
| The object `o` contains a `std::pair<K::Point_2, K::FT>` for center and radius, or a `std::pair<K::Point_2, K::Point_2>` for two points defining the circle, or `CGAL::array<K::Point_2, 3>` for three points defining the circle.

## Additional Inherited Members
Private Member Functions inherited from CGAL::Qt::GraphicsViewInput
void | generate (Object)
| A signal that emits a `CGAL::Object`.

## Constructor & Destructor Documentation

template<typename K >

CGAL::Qt::GraphicsViewCircleInput< K >::GraphicsViewCircleInput | ( | QObject * | p,
|  | QGraphicsScene * | s,
|  | int | pointsOnCircle = `1`
| ) |  |

Parameters

  p | is a parent object.
  s | is the scene where the circle is generated.
  pointsOnCircle | is the number of points on the circle to be generated, that is the default value `1` corresponds to the case center/radius.